#define ACT_DEL                 1
#define ACT_COPY                2

#define MENU_FILE               1
#define MENU_COPY               6
#define MENU_PASTE             11
#define MENU_GROUP             12
#define MENU_NEWGROUP          13
#define MENU_EDITGROUP         14
#define MENU_DELGROUP          15
#define MENU_DELCOMPL          18
#define MENU_SEARCH            21
#define MENU_VIEW_CAL          23
#define RB_OPT_VIEW_FLAT       24
#define RB_OPT_VIEW_TREE       25
#define CB_OPT_VIEW_COMPLETED  26
#define CB_OPT_VIEW_COMPLETEDL 27
#define RB_OPT_VIEW_SORTPRIORITY  28
#define RB_OPT_VIEW_SORTDATE      29
#define MENU_CRYPT_ADD_PWD        33
#define MENU_CRYPT_LOGIN          34
Fl_Menu_Item menu_Menu[] = 
{
  {"About",              0, (Fl_Callback *) cb_showScreen,     (void*)MAINVISIBLE_ABOUT, FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  
  {"&file", 0, 0, 0, 64+FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},  
  {"import"        ,   0, (Fl_Callback *) cb_Menu_insFile,          0, 0, 0, 0, TEXTSIZE1, 0},
  {"export group+",    0, (Fl_Callback *) cb_Menu_expFileGroup,     0, 0, 0, 0, TEXTSIZE1, 0},
  {"export content",   0, (Fl_Callback *) cb_Menu_expFileContent,   0, 0, 0, 0, TEXTSIZE1, 0},
  {0},
  
  {"&copy", 0, 0, 0, 64, 0, 0, TEXTSIZE1, 0},  
  {"group+",      0, (Fl_Callback *) cb_Menu_copyGroup,    0, 0, 0, 0, TEXTSIZE1, 0},
  {"content",     0, (Fl_Callback *) cb_Menu_copyContent,  0, 0, 0, 0, TEXTSIZE1, 0},
  {"selected",    0, (Fl_Callback *) cb_Menu_ActOnSel,     (void*)ACT_COPY, 0, 0, 0, TEXTSIZE1, 0},
  {0},  
  
  {"&paste",     0, (Fl_Callback *) cb_Menu_paste,       0, FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  
  {"&group", 0, 0, 0, 64+FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  {"new",          0, (Fl_Callback *) cb_Menu_newGroup,  0, 0, 0, 0, TEXTSIZE1, 0},
  {"edit",         0, (Fl_Callback *) cb_Menu_editGroup, 0, 0, 0, 0, TEXTSIZE1, 0},
  {"cut/delete",   0, (Fl_Callback *) cb_Menu_delGroup,  0, 0, 0, 0, TEXTSIZE1, 0},
  {0},  
    
  {"delete", 0, 0, 0, 64, 0, 0, TEXTSIZE1, 0},    
  {"completed",   0, (Fl_Callback *) cb_Menu_delCompl,  0, 0,               0, 0, TEXTSIZE1, 0},
  {"selected",    0, (Fl_Callback *) cb_Menu_ActOnSel,  (void*)ACT_DEL, FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  {0},  
    
  {"&search...",          0, (Fl_Callback *) cb_Menu_search,    0, FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  
  {"&View", 0, 0, 0, 64+FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  //    {"keyboard",    0, (Fl_Callback *) cb_Menu_MuPOView,        (void*)MAINVIEW_ADD_KBD, FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  {"calendar",    0, (Fl_Callback *) cb_Menu_MuPOView,        (void*)MAINVIEW_CALENDAR, FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  {"flat",        0, (Fl_Callback *) cb_Opts_View_flat,       0, FL_MENU_RADIO, 0, 0, TEXTSIZE1, 0},
  {"tree",        0, (Fl_Callback *) cb_Opts_View_tree,       0, FL_MENU_RADIO + FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  {"show completed",   0, (Fl_Callback *) cb_Opts_View_scompleted, 0, FL_MENU_TOGGLE, 0, 0, TEXTSIZE1, 0},
  {"completed last",   0, (Fl_Callback *) cb_Opts_View_completedl, 0, FL_MENU_TOGGLE + FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  {"sort priority",    0, (Fl_Callback *) cb_Opts_View_sort,   (void*)SORT_PRIORITY, FL_MENU_RADIO, 0, 0, TEXTSIZE1, 0},
  {"sort date",        0, (Fl_Callback *) cb_Opts_View_sort,   (void*)SORT_DATE, FL_MENU_RADIO + FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  {"toggle size",      0, (Fl_Callback *) cb_Opts_View_toggleTextSize,   0, 0, 0, 0, TEXTSIZE1, 0},
  {0},
  
  {"Crypt", 0, 0, 0, 64+FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  {"Add Pwd...",   0, (Fl_Callback *) cb_Menu_Crypt_AddPwd,  0, 0, 0, 0, TEXTSIZE1, 0},
  {"Login...",     0, (Fl_Callback *) cb_Menu_Crypt_Login,   0, 0, 0, 0, TEXTSIZE1, 0},
  {0},
  
  {"E&xit",   0, (Fl_Callback *) cb_Done,  0, 0, 0, 0, TEXTSIZE1, 0},
  {0},
  {0}
};



#define RB_MENU_1DAY    4
#define RB_MENU_2DAY    5
#define RB_MENU_3DAY    6
#define RB_MENU_7DAYS   7
#define RB_MENU_42DAYS  8
Fl_Menu_Item menu_CalMenu[] = {
  {"About",            0, (Fl_Callback *) cb_showScreen,       (void*)MAINVISIBLE_ABOUT, FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  
  {"delete completed", 0, (Fl_Callback *) cb_Menu_delCompl,    0, FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  {"&View", 0, 0, 0, 64+FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  //    {"keyboard",    0, (Fl_Callback *) cb_Menu_MuPOView,    (void*)MAINVIEW_ADD_KBD, FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  {"data",        0, (Fl_Callback *) cb_Menu_MuPOView,    (void*)MAINVIEW_NORMAL, FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  {"one day",          0, (Fl_Callback *) cb_CalSpan,          (void*)1,  FL_MENU_RADIO, 0, 0, TEXTSIZE1, 0},
  {"two days",         0, (Fl_Callback *) cb_CalSpan,          (void*)2,  FL_MENU_RADIO, 0, 0, TEXTSIZE1, 0},
  {"three days",       0, (Fl_Callback *) cb_CalSpan,          (void*)3,  FL_MENU_RADIO, 0, 0, TEXTSIZE1, 0},
  {"7 days",           0, (Fl_Callback *) cb_CalSpan,          (void*)7,  FL_MENU_RADIO, 0, 0, TEXTSIZE1, 0},
  {"14 days",          0, (Fl_Callback *) cb_CalSpan,          (void*)14, FL_MENU_RADIO+FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
  {"toggle size",      0, (Fl_Callback *) cb_Opts_View_toggleTextSize,   0, 0, 0, 0, TEXTSIZE1, 0},

  {0},
#ifdef DIRTYTRANSHACK
  {"translate",        0, (Fl_Callback *) cb_translate,        0, FL_MENU_DIVIDER, 0, 0, TEXTSIZE1, 0},
#endif
  {"E&xit",             0, (Fl_Callback *) cb_Done,             0, 0, 0, 0, TEXTSIZE1, 0},
  {0},
  {0}
};
