#ifndef __TOOLS
#define __TOOLS

#include <string>
#include <iostream>
#include <stdio.h>
#include "datetime.h" 

std::string GetHomeDir();
std::string readfLine(std::istream& inDat);
std::string itoStr(long int nr, char fill, unsigned char digits, bool prettyneg = true);
std::string strU(std::string in);
std::string trim(std::string in);
int Tag_des_Jahres(int tag, int monat, int jahr);
int CurrentDoomDay(int jahr);
int Wochentag(int tag, int monat, int jahr);
int Kalenderwoche(int tag, int monat, int jahr);
int MaxTag(int monat, int jahr);
int getDateDiff(t_datetime dt1, t_datetime dt2);
void moveDate(t_datetime& dt1, int diff);

// Datum und Zeit um nDiff Minuten nach hinten schieben 
// (nDiff kann auch negativ sein)
void moveDateTime(t_datetime& dt, int nDiff);

t_datetime getTodayDate(t_datetime);
void ostern(int& nTag, int& nMonat, int nJahr);
bool existDat(std::string DateiPfad);


void WriteBinASCII(std::ostream& out, const unsigned char* data, int len);

/**
 * Returns negative len on error.
 */
unsigned char* ReadBinASCII(std::istream& in, int& len, unsigned int nExpectedNrOfBytes);

#endif // __TOOLS
